summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2021-05-12 14:22:19 +0900
committerJunio C Hamano <gitster@pobox.com>2021-05-12 14:22:19 +0900
commit51a55bc4ecf70f5836e65d13a82c613e070ac990 (patch)
treed880c033a10533f5379a99968f475d667d3fd40f
parentcd56dd5585d64b65937fe5001d2f24fa39f254dd (diff)
downloadgit-htmldocs-51a55bc4ecf70f5836e65d13a82c613e070ac990.tar.gz
Autogenerated HTML docs for v2.31.1-606-gdf6c4f
-rw-r--r--RelNotes/2.32.0.txt26
-rw-r--r--git-format-patch.html13
-rw-r--r--git-format-patch.txt10
-rw-r--r--git-interpret-trailers.html106
-rw-r--r--git-interpret-trailers.txt94
-rw-r--r--gitattributes.html10
-rw-r--r--gitattributes.txt6
-rw-r--r--gitignore.html5
-rw-r--r--gitignore.txt4
-rw-r--r--gitmailmap.html10
-rw-r--r--gitmailmap.txt7
-rw-r--r--gitmodules.html12
-rw-r--r--gitmodules.txt8
-rw-r--r--howto/coordinate-embargoed-releases.html2
-rw-r--r--howto/keep-canonical-history-correct.html2
-rw-r--r--howto/maintain-git.html2
-rw-r--r--howto/new-command.html2
-rw-r--r--howto/rebase-from-internal-branch.html2
-rw-r--r--howto/rebuild-from-update-hook.html2
-rw-r--r--howto/recover-corrupted-blob-object.html2
-rw-r--r--howto/recover-corrupted-object-harder.html2
-rw-r--r--howto/revert-a-faulty-merge.html2
-rw-r--r--howto/revert-branch-rebase.html2
-rw-r--r--howto/separating-topic-branches.html2
-rw-r--r--howto/setup-git-server-over-http.html2
-rw-r--r--howto/update-hook-example.html2
-rw-r--r--howto/use-git-daemon.html2
-rw-r--r--howto/using-merge-subtree.html2
-rw-r--r--howto/using-signed-tag-in-pull-request.html2
29 files changed, 287 insertions, 56 deletions
diff --git a/RelNotes/2.32.0.txt b/RelNotes/2.32.0.txt
index f6feab46b..b562eda2d 100644
--- a/RelNotes/2.32.0.txt
+++ b/RelNotes/2.32.0.txt
@@ -109,6 +109,18 @@ UI, Workflows & Features
* "git subtree" updates.
+ * It is now documented that "format-patch" skips merges.
+
+ * Options to "git pack-objects" that take numeric values like
+ --window and --depth should not accept negative values; the input
+ validation has been tightened.
+
+ * The way the command line specified by the trailer.<token>.command
+ configuration variable receives the end-user supplied value was
+ both error prone and misleading. An alternative to achieve the
+ same goal in a safer and more intuitive way has been added, as
+ the trailer.<token>.cmd configuration variable, to replace it.
+
Performance, Internal Implementation, Development Support etc.
@@ -319,6 +331,20 @@ Fixes since v2.31
* "git repack -A -d" in a partial clone unnecessarily loosened
objects in promisor pack.
+ * "git bisect skip" when custom words are used for new/old did not
+ work, which has been corrected.
+
+ * A few variants of informational message "Already up-to-date" has
+ been rephrased.
+ (merge ad9322da03 js/merge-already-up-to-date-message-reword later to maint).
+
+ * "git submodule update --quiet" did not propagate the quiet option
+ down to underlying "git fetch", which has been corrected.
+ (merge 62af4bdd42 nc/submodule-update-quiet later to maint).
+
+ * Document that our test can use "local" keyword.
+ (merge a84fd3bcc6 jc/test-allows-local later to maint).
+
* Other code cleanup, docfix, build fix, etc.
(merge f451960708 dl/cat-file-doc-cleanup later to maint).
(merge 12604a8d0c sv/t9801-test-path-is-file-cleanup later to maint).
diff --git a/git-format-patch.html b/git-format-patch.html
index a61d3cdb5..6c977abff 100644
--- a/git-format-patch.html
+++ b/git-format-patch.html
@@ -779,7 +779,7 @@ git-format-patch(1) Manual Page
<div class="sect1">
<h2 id="_description">DESCRIPTION</h2>
<div class="sectionbody">
-<div class="paragraph"><p>Prepare each commit with its "patch" in
+<div class="paragraph"><p>Prepare each non-merge commit with its "patch" in
one "message" per commit, formatted to resemble a UNIX mailbox.
The output of this command is convenient for e-mail submission or
for use with <em>git am</em>.</p></div>
@@ -2538,6 +2538,15 @@ Extract three topmost commits from the current branch and format them
</div>
</div>
<div class="sect1">
+<h2 id="_caveats">CAVEATS</h2>
+<div class="sectionbody">
+<div class="paragraph"><p>Note that <code>format-patch</code> will omit merge commits from the output, even
+if they are part of the requested range. A simple "patch" does not
+include enough information for the receiving end to reproduce the same
+merge commit.</p></div>
+</div>
+</div>
+<div class="sect1">
<h2 id="_see_also">SEE ALSO</h2>
<div class="sectionbody">
<div class="paragraph"><p><a href="git-am.html">git-am(1)</a>, <a href="git-send-email.html">git-send-email(1)</a></p></div>
@@ -2554,7 +2563,7 @@ Extract three topmost commits from the current branch and format them
<div id="footer">
<div id="footer-text">
Last updated
- 2021-04-03 07:10:10 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/git-format-patch.txt b/git-format-patch.txt
index 911da181a..fe2f69d36 100644
--- a/git-format-patch.txt
+++ b/git-format-patch.txt
@@ -36,7 +36,7 @@ SYNOPSIS
DESCRIPTION
-----------
-Prepare each commit with its "patch" in
+Prepare each non-merge commit with its "patch" in
one "message" per commit, formatted to resemble a UNIX mailbox.
The output of this command is convenient for e-mail submission or
for use with 'git am'.
@@ -740,6 +740,14 @@ use it only when you know the recipient uses Git to apply your patch.
$ git format-patch -3
------------
+CAVEATS
+-------
+
+Note that `format-patch` will omit merge commits from the output, even
+if they are part of the requested range. A simple "patch" does not
+include enough information for the receiving end to reproduce the same
+merge commit.
+
SEE ALSO
--------
linkgit:git-am[1], linkgit:git-send-email[1]
diff --git a/git-interpret-trailers.html b/git-interpret-trailers.html
index 19fea0387..2b0943ef9 100644
--- a/git-interpret-trailers.html
+++ b/git-interpret-trailers.html
@@ -1063,23 +1063,40 @@ trailer.&lt;token&gt;.command
</dt>
<dd>
<p>
- This option can be used to specify a shell command that will
- be called to automatically add or modify a trailer with the
- specified &lt;token&gt;.
+ This option behaves in the same way as <em>trailer.&lt;token&gt;.cmd</em>, except
+ that it doesn&#8217;t pass anything as argument to the specified command.
+ Instead the first occurrence of substring $ARG is replaced by the
+ value that would be passed as argument.
</p>
-<div class="paragraph"><p>When this option is specified, the behavior is as if a special
-<em>&lt;token&gt;=&lt;value&gt;</em> argument were added at the beginning of the command
-line, where &lt;value&gt; is taken to be the standard output of the
-specified command with any leading and trailing whitespace trimmed
-off.</p></div>
-<div class="paragraph"><p>If the command contains the <code>$ARG</code> string, this string will be
-replaced with the &lt;value&gt; part of an existing trailer with the same
-&lt;token&gt;, if any, before the command is launched.</p></div>
-<div class="paragraph"><p>If some <em>&lt;token&gt;=&lt;value&gt;</em> arguments are also passed on the command
-line, when a <em>trailer.&lt;token&gt;.command</em> is configured, the command will
-also be executed for each of these arguments. And the &lt;value&gt; part of
-these arguments, if any, will be used to replace the <code>$ARG</code> string in
-the command.</p></div>
+<div class="paragraph"><p>The <em>trailer.&lt;token&gt;.command</em> option has been deprecated in favor of
+<em>trailer.&lt;token&gt;.cmd</em> due to the fact that $ARG in the user&#8217;s command is
+only replaced once and that the original way of replacing $ARG is not safe.</p></div>
+<div class="paragraph"><p>When both <em>trailer.&lt;token&gt;.cmd</em> and <em>trailer.&lt;token&gt;.command</em> are given
+for the same &lt;token&gt;, <em>trailer.&lt;token&gt;.cmd</em> is used and
+<em>trailer.&lt;token&gt;.command</em> is ignored.</p></div>
+</dd>
+<dt class="hdlist1">
+trailer.&lt;token&gt;.cmd
+</dt>
+<dd>
+<p>
+ This option can be used to specify a shell command that will be called:
+ once to automatically add a trailer with the specified &lt;token&gt;, and then
+ each time a <em>--trailer &lt;token&gt;=&lt;value&gt;</em> argument to modify the &lt;value&gt; of
+ the trailer that this option would produce.
+</p>
+<div class="paragraph"><p>When the specified command is first called to add a trailer
+with the specified &lt;token&gt;, the behavior is as if a special
+<em>--trailer &lt;token&gt;=&lt;value&gt;</em> argument was added at the beginning
+of the "git interpret-trailers" command, where &lt;value&gt;
+is taken to be the standard output of the command with any
+leading and trailing whitespace trimmed off.</p></div>
+<div class="paragraph"><p>If some <em>--trailer &lt;token&gt;=&lt;value&gt;</em> arguments are also passed
+on the command line, the command is called again once for each
+of these arguments with the same &lt;token&gt;. And the &lt;value&gt; part
+of these arguments, if any, will be passed to the command as its
+first argument. This way the command can produce a &lt;value&gt; computed
+from the &lt;value&gt; passed in the <em>--trailer &lt;token&gt;=&lt;value&gt;</em> argument.</p></div>
</dd>
</dl></div>
</div>
@@ -1183,6 +1200,61 @@ Fix #42</code></pre>
</li>
<li>
<p>
+Configure a <em>help</em> trailer with a cmd use a script <code>glog-find-author</code>
+ which search specified author identity from git log in git repository
+ and show how it works:
+</p>
+<div class="listingblock">
+<div class="content">
+<pre><code>$ cat ~/bin/glog-find-author
+#!/bin/sh
+test -n "$1" &amp;&amp; git log --author="$1" --pretty="%an &lt;%ae&gt;" -1 || true
+$ git config trailer.help.key "Helped-by: "
+$ git config trailer.help.ifExists "addIfDifferentNeighbor"
+$ git config trailer.help.cmd "~/bin/glog-find-author"
+$ git interpret-trailers --trailer="help:Junio" --trailer="help:Couder" &lt;&lt;EOF
+&gt; subject
+&gt;
+&gt; message
+&gt;
+&gt; EOF
+subject
+
+message
+
+Helped-by: Junio C Hamano &lt;gitster@pobox.com&gt;
+Helped-by: Christian Couder &lt;christian.couder@gmail.com&gt;</code></pre>
+</div></div>
+</li>
+<li>
+<p>
+Configure a <em>ref</em> trailer with a cmd use a script <code>glog-grep</code>
+ to grep last relevant commit from git log in the git repository
+ and show how it works:
+</p>
+<div class="listingblock">
+<div class="content">
+<pre><code>$ cat ~/bin/glog-grep
+#!/bin/sh
+test -n "$1" &amp;&amp; git log --grep "$1" --pretty=reference -1 || true
+$ git config trailer.ref.key "Reference-to: "
+$ git config trailer.ref.ifExists "replace"
+$ git config trailer.ref.cmd "~/bin/glog-grep"
+$ git interpret-trailers --trailer="ref:Add copyright notices." &lt;&lt;EOF
+&gt; subject
+&gt;
+&gt; message
+&gt;
+&gt; EOF
+subject
+
+message
+
+Reference-to: 8bc9a0c769 (Add copyright notices., 2005-04-07)</code></pre>
+</div></div>
+</li>
+<li>
+<p>
Configure a <em>see</em> trailer with a command to show the subject of a
commit that is related, and show how it works:
</p>
@@ -1255,7 +1327,7 @@ $ chmod +x .git/hooks/commit-msg</code></pre>
<div id="footer">
<div id="footer-text">
Last updated
- 2020-03-11 00:03:13 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/git-interpret-trailers.txt b/git-interpret-trailers.txt
index 96ec6499f..956a01d18 100644
--- a/git-interpret-trailers.txt
+++ b/git-interpret-trailers.txt
@@ -232,25 +232,38 @@ trailer.<token>.ifmissing::
that option for trailers with the specified <token>.
trailer.<token>.command::
- This option can be used to specify a shell command that will
- be called to automatically add or modify a trailer with the
- specified <token>.
+ This option behaves in the same way as 'trailer.<token>.cmd', except
+ that it doesn't pass anything as argument to the specified command.
+ Instead the first occurrence of substring $ARG is replaced by the
+ value that would be passed as argument.
+
-When this option is specified, the behavior is as if a special
-'<token>=<value>' argument were added at the beginning of the command
-line, where <value> is taken to be the standard output of the
-specified command with any leading and trailing whitespace trimmed
-off.
+The 'trailer.<token>.command' option has been deprecated in favor of
+'trailer.<token>.cmd' due to the fact that $ARG in the user's command is
+only replaced once and that the original way of replacing $ARG is not safe.
+
-If the command contains the `$ARG` string, this string will be
-replaced with the <value> part of an existing trailer with the same
-<token>, if any, before the command is launched.
+When both 'trailer.<token>.cmd' and 'trailer.<token>.command' are given
+for the same <token>, 'trailer.<token>.cmd' is used and
+'trailer.<token>.command' is ignored.
+
+trailer.<token>.cmd::
+ This option can be used to specify a shell command that will be called:
+ once to automatically add a trailer with the specified <token>, and then
+ each time a '--trailer <token>=<value>' argument to modify the <value> of
+ the trailer that this option would produce.
+
-If some '<token>=<value>' arguments are also passed on the command
-line, when a 'trailer.<token>.command' is configured, the command will
-also be executed for each of these arguments. And the <value> part of
-these arguments, if any, will be used to replace the `$ARG` string in
-the command.
+When the specified command is first called to add a trailer
+with the specified <token>, the behavior is as if a special
+'--trailer <token>=<value>' argument was added at the beginning
+of the "git interpret-trailers" command, where <value>
+is taken to be the standard output of the command with any
+leading and trailing whitespace trimmed off.
++
+If some '--trailer <token>=<value>' arguments are also passed
+on the command line, the command is called again once for each
+of these arguments with the same <token>. And the <value> part
+of these arguments, if any, will be passed to the command as its
+first argument. This way the command can produce a <value> computed
+from the <value> passed in the '--trailer <token>=<value>' argument.
EXAMPLES
--------
@@ -333,6 +346,55 @@ subject
Fix #42
------------
+* Configure a 'help' trailer with a cmd use a script `glog-find-author`
+ which search specified author identity from git log in git repository
+ and show how it works:
++
+------------
+$ cat ~/bin/glog-find-author
+#!/bin/sh
+test -n "$1" && git log --author="$1" --pretty="%an <%ae>" -1 || true
+$ git config trailer.help.key "Helped-by: "
+$ git config trailer.help.ifExists "addIfDifferentNeighbor"
+$ git config trailer.help.cmd "~/bin/glog-find-author"
+$ git interpret-trailers --trailer="help:Junio" --trailer="help:Couder" <<EOF
+> subject
+>
+> message
+>
+> EOF
+subject
+
+message
+
+Helped-by: Junio C Hamano <gitster@pobox.com>
+Helped-by: Christian Couder <christian.couder@gmail.com>
+------------
+
+* Configure a 'ref' trailer with a cmd use a script `glog-grep`
+ to grep last relevant commit from git log in the git repository
+ and show how it works:
++
+------------
+$ cat ~/bin/glog-grep
+#!/bin/sh
+test -n "$1" && git log --grep "$1" --pretty=reference -1 || true
+$ git config trailer.ref.key "Reference-to: "
+$ git config trailer.ref.ifExists "replace"
+$ git config trailer.ref.cmd "~/bin/glog-grep"
+$ git interpret-trailers --trailer="ref:Add copyright notices." <<EOF
+> subject
+>
+> message
+>
+> EOF
+subject
+
+message
+
+Reference-to: 8bc9a0c769 (Add copyright notices., 2005-04-07)
+------------
+
* Configure a 'see' trailer with a command to show the subject of a
commit that is related, and show how it works:
+
diff --git a/gitattributes.html b/gitattributes.html
index f1c49227e..cc977b5f3 100644
--- a/gitattributes.html
+++ b/gitattributes.html
@@ -2113,6 +2113,14 @@ to:</p></div>
</div>
</div>
<div class="sect1">
+<h2 id="_notes">NOTES</h2>
+<div class="sectionbody">
+<div class="paragraph"><p>Git does not follow symbolic links when accessing a <code>.gitattributes</code>
+file in the working tree. This keeps behavior consistent when the file
+is accessed from the index or a tree versus from the filesystem.</p></div>
+</div>
+</div>
+<div class="sect1">
<h2 id="_examples">EXAMPLES</h2>
<div class="sectionbody">
<div class="paragraph"><p>If you have these three <code>gitattributes</code> file:</p></div>
@@ -2187,7 +2195,7 @@ frotz unspecified</code></pre>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-04-30 15:03:30 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/gitattributes.txt b/gitattributes.txt
index cfcfa800c..83fd4e19a 100644
--- a/gitattributes.txt
+++ b/gitattributes.txt
@@ -1247,6 +1247,12 @@ to:
[attr]binary -diff -merge -text
------------
+NOTES
+-----
+
+Git does not follow symbolic links when accessing a `.gitattributes`
+file in the working tree. This keeps behavior consistent when the file
+is accessed from the index or a tree versus from the filesystem.
EXAMPLES
--------
diff --git a/gitignore.html b/gitignore.html
index 850cb9953..070727f33 100644
--- a/gitignore.html
+++ b/gitignore.html
@@ -957,6 +957,9 @@ those in <code>$GIT_DIR/info/exclude</code>.</p></div>
not tracked by Git remain untracked.</p></div>
<div class="paragraph"><p>To stop tracking a file that is currently tracked, use
<em>git rm --cached</em>.</p></div>
+<div class="paragraph"><p>Git does not follow symbolic links when accessing a <code>.gitignore</code> file in
+the working tree. This keeps behavior consistent when the file is
+accessed from the index or a tree versus from the filesystem.</p></div>
</div>
</div>
<div class="sect1">
@@ -1069,7 +1072,7 @@ everything within <code>foo/bar</code>):</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-03-23 06:17:33 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/gitignore.txt b/gitignore.txt
index 5751603b1..53e7d5c91 100644
--- a/gitignore.txt
+++ b/gitignore.txt
@@ -149,6 +149,10 @@ not tracked by Git remain untracked.
To stop tracking a file that is currently tracked, use
'git rm --cached'.
+Git does not follow symbolic links when accessing a `.gitignore` file in
+the working tree. This keeps behavior consistent when the file is
+accessed from the index or a tree versus from the filesystem.
+
EXAMPLES
--------
diff --git a/gitmailmap.html b/gitmailmap.html
index 7e1a4904e..525ff6003 100644
--- a/gitmailmap.html
+++ b/gitmailmap.html
@@ -815,6 +815,14 @@ this would also match the <em>Commit Name &lt;commit&#64;email.xx&gt;</em> above
</div>
</div>
<div class="sect1">
+<h2 id="_notes">NOTES</h2>
+<div class="sectionbody">
+<div class="paragraph"><p>Git does not follow symbolic links when accessing a <code>.mailmap</code> file in
+the working tree. This keeps behavior consistent when the file is
+accessed from the index or a tree versus from the filesystem.</p></div>
+</div>
+</div>
+<div class="sect1">
<h2 id="_examples">EXAMPLES</h2>
<div class="sectionbody">
<div class="paragraph"><p>Your history contains commits by two authors, Jane
@@ -884,7 +892,7 @@ Jane Doe &lt;jane@example.com&gt; Jane &lt;bugs@example.com&gt;</code></pre>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-02-26 10:29:29 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/gitmailmap.txt b/gitmailmap.txt
index 3fb39f801..06f4af93f 100644
--- a/gitmailmap.txt
+++ b/gitmailmap.txt
@@ -55,6 +55,13 @@ this would also match the 'Commit Name <commit&#64;email.xx>' above:
Proper Name <proper@email.xx> CoMmIt NaMe <CoMmIt@EmAiL.xX>
--
+NOTES
+-----
+
+Git does not follow symbolic links when accessing a `.mailmap` file in
+the working tree. This keeps behavior consistent when the file is
+accessed from the index or a tree versus from the filesystem.
+
EXAMPLES
--------
diff --git a/gitmodules.html b/gitmodules.html
index 2e5d2c8f7..fb6b7b000 100644
--- a/gitmodules.html
+++ b/gitmodules.html
@@ -903,6 +903,16 @@ submodule.&lt;name&gt;.shallow
</div>
</div>
<div class="sect1">
+<h2 id="_notes">NOTES</h2>
+<div class="sectionbody">
+<div class="paragraph"><p>Git does not allow the <code>.gitmodules</code> file within a working tree to be a
+symbolic link, and will refuse to check out such a tree entry. This
+keeps behavior consistent when the file is accessed from the index or a
+tree versus from the filesystem, and helps Git reliably enforce security
+checks of the file contents.</p></div>
+</div>
+</div>
+<div class="sect1">
<h2 id="_examples">EXAMPLES</h2>
<div class="sectionbody">
<div class="paragraph"><p>Consider the following <code>.gitmodules</code> file:</p></div>
@@ -938,7 +948,7 @@ submodules a URL is specified which can be used for cloning the submodules.</p><
<div id="footer">
<div id="footer-text">
Last updated
- 2021-01-16 09:12:09 JST
+ 2021-05-12 14:17:56 JST
</div>
</div>
</body>
diff --git a/gitmodules.txt b/gitmodules.txt
index 8e333dde1..dcee09b50 100644
--- a/gitmodules.txt
+++ b/gitmodules.txt
@@ -98,6 +98,14 @@ submodule.<name>.shallow::
shallow clone (with a history depth of 1) unless the user explicitly
asks for a non-shallow clone.
+NOTES
+-----
+
+Git does not allow the `.gitmodules` file within a working tree to be a
+symbolic link, and will refuse to check out such a tree entry. This
+keeps behavior consistent when the file is accessed from the index or a
+tree versus from the filesystem, and helps Git reliably enforce security
+checks of the file contents.
EXAMPLES
--------
diff --git a/howto/coordinate-embargoed-releases.html b/howto/coordinate-embargoed-releases.html
index b8f52f360..828e3bc72 100644
--- a/howto/coordinate-embargoed-releases.html
+++ b/howto/coordinate-embargoed-releases.html
@@ -873,7 +873,7 @@ Thanks,
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:15 JST
+ 2021-05-12 14:19:20 JST
</div>
</div>
</body>
diff --git a/howto/keep-canonical-history-correct.html b/howto/keep-canonical-history-correct.html
index 82283483b..59aca2c92 100644
--- a/howto/keep-canonical-history-correct.html
+++ b/howto/keep-canonical-history-correct.html
@@ -938,7 +938,7 @@ tip of your <em>master</em> again and redo the two merges:</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:14 JST
+ 2021-05-12 14:19:20 JST
</div>
</div>
</body>
diff --git a/howto/maintain-git.html b/howto/maintain-git.html
index 9af46ad52..32890e446 100644
--- a/howto/maintain-git.html
+++ b/howto/maintain-git.html
@@ -1469,7 +1469,7 @@ $ git update-ref -d $mf/ai/topic</code></pre>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:15 JST
+ 2021-05-12 14:19:20 JST
</div>
</div>
</body>
diff --git a/howto/new-command.html b/howto/new-command.html
index bccbcb200..33de6abae 100644
--- a/howto/new-command.html
+++ b/howto/new-command.html
@@ -863,7 +863,7 @@ letter [PATCH 0/n].
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:08 JST
+ 2021-05-12 14:19:14 JST
</div>
</div>
</body>
diff --git a/howto/rebase-from-internal-branch.html b/howto/rebase-from-internal-branch.html
index bc1a245e6..256625cd5 100644
--- a/howto/rebase-from-internal-branch.html
+++ b/howto/rebase-from-internal-branch.html
@@ -895,7 +895,7 @@ the #1' commit.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:14 JST
+ 2021-05-12 14:19:19 JST
</div>
</div>
</body>
diff --git a/howto/rebuild-from-update-hook.html b/howto/rebuild-from-update-hook.html
index 9b35a9443..ab72b7766 100644
--- a/howto/rebuild-from-update-hook.html
+++ b/howto/rebuild-from-update-hook.html
@@ -847,7 +847,7 @@ This is still crude and does not protect against simultaneous
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:14 JST
+ 2021-05-12 14:19:19 JST
</div>
</div>
</body>
diff --git a/howto/recover-corrupted-blob-object.html b/howto/recover-corrupted-blob-object.html
index 78614bf7f..f5aca8a8d 100644
--- a/howto/recover-corrupted-blob-object.html
+++ b/howto/recover-corrupted-blob-object.html
@@ -880,7 +880,7 @@ thing.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:13 JST
+ 2021-05-12 14:19:18 JST
</div>
</div>
</body>
diff --git a/howto/recover-corrupted-object-harder.html b/howto/recover-corrupted-object-harder.html
index 71670eccd..ba3d17639 100644
--- a/howto/recover-corrupted-object-harder.html
+++ b/howto/recover-corrupted-object-harder.html
@@ -1189,7 +1189,7 @@ int main(int argc, char **argv)
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:13 JST
+ 2021-05-12 14:19:19 JST
</div>
</div>
</body>
diff --git a/howto/revert-a-faulty-merge.html b/howto/revert-a-faulty-merge.html
index 3a0aacbfc..357088a2e 100644
--- a/howto/revert-a-faulty-merge.html
+++ b/howto/revert-a-faulty-merge.html
@@ -1025,7 +1025,7 @@ P---o---o---M---x---x---W---x---M2
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:12 JST
+ 2021-05-12 14:19:18 JST
</div>
</div>
</body>
diff --git a/howto/revert-branch-rebase.html b/howto/revert-branch-rebase.html
index 7d970a74f..e1dfc4adb 100644
--- a/howto/revert-branch-rebase.html
+++ b/howto/revert-branch-rebase.html
@@ -907,7 +907,7 @@ Committed merge 7fb9b7262a1d1e0a47bbfdcbbcf50ce0635d3f8f
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:09 JST
+ 2021-05-12 14:19:14 JST
</div>
</div>
</body>
diff --git a/howto/separating-topic-branches.html b/howto/separating-topic-branches.html
index c387051c8..11dec9dec 100644
--- a/howto/separating-topic-branches.html
+++ b/howto/separating-topic-branches.html
@@ -841,7 +841,7 @@ o---o"master"</code></pre>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:12 JST
+ 2021-05-12 14:19:17 JST
</div>
</div>
</body>
diff --git a/howto/setup-git-server-over-http.html b/howto/setup-git-server-over-http.html
index 9ae582815..20719c7be 100644
--- a/howto/setup-git-server-over-http.html
+++ b/howto/setup-git-server-over-http.html
@@ -1071,7 +1071,7 @@ help diagnosing the problem, but removes security checks.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:11 JST
+ 2021-05-12 14:19:17 JST
</div>
</div>
</body>
diff --git a/howto/update-hook-example.html b/howto/update-hook-example.html
index 9cb36e1ca..e341a2426 100644
--- a/howto/update-hook-example.html
+++ b/howto/update-hook-example.html
@@ -930,7 +930,7 @@ that JC can make non-fast-forward pushes on it.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:11 JST
+ 2021-05-12 14:19:16 JST
</div>
</div>
</body>
diff --git a/howto/use-git-daemon.html b/howto/use-git-daemon.html
index 3b714144c..2942305fc 100644
--- a/howto/use-git-daemon.html
+++ b/howto/use-git-daemon.html
@@ -791,7 +791,7 @@ a good practice to put the paths after a "--" separator.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:10 JST
+ 2021-05-12 14:19:16 JST
</div>
</div>
</body>
diff --git a/howto/using-merge-subtree.html b/howto/using-merge-subtree.html
index 53d3b56aa..ff2498907 100644
--- a/howto/using-merge-subtree.html
+++ b/howto/using-merge-subtree.html
@@ -848,7 +848,7 @@ Please note that if the other project merges from you, then it will
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:09 JST
+ 2021-05-12 14:19:15 JST
</div>
</div>
</body>
diff --git a/howto/using-signed-tag-in-pull-request.html b/howto/using-signed-tag-in-pull-request.html
index 57e750f48..4976df447 100644
--- a/howto/using-signed-tag-in-pull-request.html
+++ b/howto/using-signed-tag-in-pull-request.html
@@ -952,7 +952,7 @@ as part of the merge commit.</p></div>
<div id="footer">
<div id="footer-text">
Last updated
- 2021-05-11 14:55:10 JST
+ 2021-05-12 14:19:15 JST
</div>
</div>
</body>